# Secure Coding MCP Server

A Model Context Protocol (MCP) server that provides secure coding guidelines for AI assistants.

## Installation

```bash
# Install globally
npm install -g secure-coding-mcp

# Or use with npx without installing
npx secure-coding-mcp
```

## Usage with Cursor

Add this to your `mcp.json` file:

```json
{
  "mcpServers": {
    "secure_coding_guidelines": {
      "command": "npx",
      "args": ["-y", "secure-coding-mcp"]
    }
  }
}
```

## Benefits

- Provides comprehensive secure coding guidelines to AI assistants
- Helps prevent common security vulnerabilities in generated code
- Encourages secure-by-default development practices
- Easy integration with any MCP-compatible client (Cursor, Claude Desktop, etc.)

## Features

The server provides a single tool:

- **secure_coding_guidelines**: Returns detailed secure coding best practices covering:
  - Input validation
  - Authentication and authorization
  - Secure configuration
  - Error handling
  - Data protection
  - And many more security topics

## Development

```bash
# Clone the repository
git clone <repository-url>

# Install dependencies
npm install

# Run locally
node index.js
```

## Publishing

```bash
# Login to npm
npm login

# Publish the package
npm publish
```

## License

MIT 